#ifndef _LINUX_OSCRASH_H_
#define _LINUX_OSCRASH_H_

/*
 * Linux_OSCrash.h
 *
 * (C) Copyright IBM Corp. 2009
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Author:       Sachin Sant <sachinp@in.ibm.com>
 *
 * Description:
 * This file defines the interfaces for generating OS Crash events.
 *
*/

#ifdef __cplusplus
extern "C" {
#endif

struct oscrash_data {
	char *hostName;
	char *crashDate;
	char *crashTime;
	char *dumpFileLocation;
	char *dumpFileName;
	char *dumpCaptureDateTime;
	unsigned long long dumpFileSize;
};

int get_Linux_OSCrash_data( struct oscrash_data ** );
int get_Linux_CrashDumpCapture_data( struct oscrash_data ** );
void free_Linux_OSCrash_data( struct oscrash_data * );

#ifdef __cplusplus
  }
#endif

#endif
